Bug 1264309 - [abrt] turpial: base.py:10:<module>:ImportError: No module named requests
[abrt] turpial: base.py:10:<module>:ImportError: No module named requests
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: turpial (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Edwind Richzendy Contreras Soto
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:8f2cd895502eaafaba96a8f10d8...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-18 03:14 EDT by Petr Lautrbach
Modified: 2016-11-14 10:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-14 10:11:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (7.86 KB, text/plain)
2015-09-18 03:14 EDT, Petr Lautrbach
no flags Details
File: dso_list (76 bytes, text/plain)
2015-09-18 03:14 EDT, Petr Lautrbach
no flags Details
File: environ (846 bytes, text/plain)
2015-09-18 03:14 EDT, Petr Lautrbach
no flags Details

  None (edit)
Description Petr Lautrbach 2015-09-18 03:14:10 EDT
Description of problem:
just run turpial on rawhide

Version-Release number of selected component:
turpial-3.0-5.fc23

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python2 /usr/bin/turpial
executable:     /usr/bin/turpial
kernel:         4.3.0-0.rc0.git14.2.fc24.x86_64
runlevel:       N 5
type:           Python
uid:            13558

Truncated backtrace:
#1 <module> in /usr/lib/python2.7/site-packages/libturpial/lib/services/media/preview/base.py:10
#2 <module> in /usr/lib/python2.7/site-packages/libturpial/lib/services/media/preview/imgur.py:11
#3 <module> in /usr/lib/python2.7/site-packages/libturpial/lib/services/media/preview/__init__.py:5
#4 <module> in /usr/lib/python2.7/site-packages/libturpial/common/__init__.py:10
#5 <module> in /usr/lib/python2.7/site-packages/turpial/ui/util.py:7
#6 <module> in /usr/lib/python2.7/site-packages/turpial/main.py:17
#7 resolve in /usr/lib/python2.7/site-packages/pkg_resources/__init__.py:2361
#8 load in /usr/lib/python2.7/site-packages/pkg_resources/__init__.py:2355
#9 load_entry_point in /usr/lib/python2.7/site-packages/pkg_resources/__init__.py:2682
#10 load_entry_point in /usr/lib/python2.7/site-packages/pkg_resources/__init__.py:558
Comment 1 Petr Lautrbach 2015-09-18 03:14:13 EDT
Created attachment 1074692 [details]
File: backtrace
Comment 2 Petr Lautrbach 2015-09-18 03:14:14 EDT
Created attachment 1074693 [details]
File: dso_list
Comment 3 Petr Lautrbach 2015-09-18 03:14:15 EDT
Created attachment 1074694 [details]
File: environ
Comment 4 Petr Lautrbach 2015-09-21 06:58:09 EDT
Apparently, the package doesn't require python-requests.noarch. 
'dnf install python-requests.noarch' fixes this problem
Comment 5 Petr Lautrbach 2015-09-21 07:04:14 EDT

*** This bug has been marked as a duplicate of bug 1264426 ***
Comment 6 Petr Lautrbach 2015-09-21 07:22:14 EDT
Ok, it's not a duplicate, it's bug in turpial which does 'import requests' but doesn't require it. Sorry for the noise.
Comment 7 Petr Lautrbach 2015-09-21 07:38:48 EDT
So it was a bug in python3-request which was set to provide python-request. It
should be fixed python-requests-2.7.0-5.fc23, see
https://bugzilla.redhat.com/show_bug.cgi?id=1241671
Comment 8 Jan Kurik 2016-02-24 08:45:56 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 9 Edwind Richzendy Contreras Soto 2016-11-12 21:47:09 EST
This package have how dependence python2-requests, are you sure about this ticket?  I made a test installing turpial on a fresh installation of fedora 24 and all works fine.

Let me know if you need any help or if this ticket can be closed.
Comment 10 Fedora End Of Life 2016-11-14 10:01:04 EST
I believe Petr can answer the question better than me, so redirecting the need-info.
Comment 11 Petr Lautrbach 2016-11-14 10:09:01 EST
The only thing I can say now is that turpial works for me on Fedora 25.
Comment 12 Edwind Richzendy Contreras Soto 2016-11-14 10:11:48 EST
Cool, i'll to close this ticket, thank you so much to make turpial better.

Note You need to log in before you can comment on or make changes to this bug.